#
#  SITAR - System InformaTion At Runtime
#  Copyright (C) 1999-2006 SuSE Linux, a Novell Business
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

Vendor:		SuSE Linux, a Novell Business
Name:		sitar
Version:        1.0.3
Release:        219
Summary:	System InformaTion At Runtime, Check configuration changes into SCM
Source0:	sitar-%{version}.tar.bz2
License:	GPL
Group: 		System/Monitoring
BuildRoot:	/tmp/root-%{name}/
BuildArch: 	noarch

#Requires:	coreutils util-linux gzip grep rpm net-tools
Distribution:	SuSE SLES-9 (noarch) Addon
Packager:	Matthias G. Eckermann <mge@suse.de>

%description 
Sitar prepares system information using perl and binary tools, and by
reading the /proc file system.

Output is in HTML, LaTeX and (docbook) XML, and can be converted to
PS and PDF.

This program must be run as "root".

sitar.pl includes scsiinfo by Eric Youngdale, Michael Weller
<eowmob@exp-math.uni-essen.de> and ide_info by David A. Hinds
<dhinds@hyper.stanford.edu>.

The additional tool "cfg2scm" is supplied for checking 
configuration changes into SCM (like SVN, CVS, ... or tar file)

Comment: Sitar is an ancient Indian instrument as well.

Authors:
--------
    Matthias Eckermann  <mge@suse.de>
    and contributors

%prep
%setup

%build
make

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
make DESTDIR=${RPM_BUILD_ROOT} install
%{?suse_check}

%files
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/sitar
%config(noreplace) /etc/sysconfig/cfg2scm
%doc sitar.html sitar.ps cfg2scm.html cfg2scm.ps LICENSE
%attr(700, root, root) /usr/sbin/sitar.pl
%attr(700, root, root) /usr/sbin/sitar
%attr(700, root, root) /usr/sbin/cfg2scm.pl
/usr/share/man/man1/sitar.1.gz
/usr/share/man/man1/cfg2scm.1.gz
%dir /usr/share/sitar
%dir /var/lib/support
/usr/share/sitar/proc.txt

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%changelog
* Fri Feb 03 2006 - Matthias G. Eckermann <mge@suse.de> [1.0.2-204]
- rename "snippets" to "pfrags"
* Fri Feb 03 2006 - Matthias G. Eckermann <mge@suse.de> [1.0.2-202]
- nice, beautiful Makefile by Manfred Hollstein <mh@novell.com> - Thanks!
- split *.pl.in to several files: one per function or
	function-group into the subdirectory s"nippets"
- fix permissions in spec-file
- remove support.pl and related man-pages
- opotions in cfg2scm.sysconfig, sitar.sysconfig:
	rename    $SITAR_OPT_GNOME to $SITAR_OPT_GCONF 
	introduce $SITAR_OPT_LVMARCHIVE
	introduce $CFG2SCM_OPT_LVMARCHIVE
	Introduce new variables, to avoid redundant information:
	SITAR_OPT_ALLCONFIGFILES
	SITAR_OPT_ALLSUBDOMAIN
	SITAR_OPT_ALLSYSCONFIG
- add yast metadata to cfg2scm.sysconfig, sitar.sysconfig
* Mon Jan 16 2006 - Matthias G. Eckermann <mge@suse.de> [1.0.0-160]
- sitar-1.0.0:
  - merge cfg2scm into sitar
  - add initial HAL support to sitar
* Thu Dec 08 2005 - Matthias G. Eckermann <mge@suse.de>
- short man-page entry for "--find-unpacked"
- add /var/lib/support to file-list
* Mon Nov 14 2005 - Matthias G. Eckermann <mge@suse.de>
- patch for chkconfig --list (martin.spill at wincor-nixdorf.com)
* Mon May 09 2005 - Matthias G. Eckermann <mge@suse.de>
- 0.9.4-dev:
	- code cleanups (globals)
	- remove log-entries from files (-> subversion)
* Thu Apr 21 2005 - Matthias G. Eckermann <mge@suse.de>
- 0.9.3: (hopefully) final fix for Novell Bug #76733:
	configfile verification
* Mon Apr 12 2005 - Matthias G. Eckermann <mge@suse.de>
- fixes Novell Bug #76733:
  SITAR should optionally check system consistency
- release 0.9.2:
	* fixes issue around --output=yast2, thanks to 
	  Dr. Stefan Werden
	* introduces "--check-consistency" as required by 
	  Manfred Hollstein ( = #76733)
* Mon Apr 11 2005 - Matthias G. Eckermann <mge@suse.de>
- this is release 0.9.1:
	* added initial support for EVMS
	* converted all files to UTF-8
	* moved all external programs to one block;
	  enabled PATH-searching for these tools
* Mon Mar 21 2005 - Matthias G. Eckermann <mge@suse.de>
- more fixes for Novell #73833:
        * lvm scanning, if /etc/lvm/backup does not exist
        * simple output of /proc/mdstat for kernel 2.4/2.6
* Fri Mar 18 2005 - Matthias G. Eckermann <mge@suse.de>
- update to 0.9.0, fixes Novell #73833,
	SITAR is missing some required output fields:
	md-devices, sitar version
* Fri Mar 11 2005 - Matthias G. Eckermann <mge@suse.de>
- 0.9.pre10
- improved Immunix/AppArmor integration; thanks to Seth Arnold
* Tue Mar 08 2005 - Matthias G. Eckermann <mge@suse.de>
- 0.9.pre9
- add some stat()-information to config-files
- exclude listing backup-files from /etc/sysconfig
  (*~ #* *.bak *.bac *.orig *.ori) by request of mh@novell.com
* Tue Mar 08 2005 - Matthias G. Eckermann <mge@suse.de>
- 0.9.pre8
- add support for AppArmor (subdomain) by Immunix

